classification
Title: Installation - 2 tests failed: test_cmd_line test_xmlrpc
Type: compile error Stage: resolved
Components: Installation Versions: Python 3.1
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, ezio.melotti, sadhak
Priority: normal Keywords:

Created on 2009-12-30 16:41 by sadhak, last changed 2010-01-06 16:31 by ezio.melotti. This issue is now closed.

Messages (5)
msg97040 - (view) Author: Jozef Gáborík (sadhak) Date: 2009-12-30 16:41
I installed python 3.1.1 on Ubuntu 9.10. When I wrote "make test" I got:

...
test_cmd
test_cmd_line
test test_cmd_line failed -- Traceback (most recent call last):
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/test/
test_cmd_line.py", line 181, in test_large_PYTHONPATH
    self.assertTrue(path1.encode('ascii') in stdout)
AssertionError: False is not True

test_cmd_line_script
...

AND:

...
test_xml_etree
test_xml_etree_c
test_xmlrpc
Traceback (most recent call last):
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/xmlrpc/server.py", 
line 448, in do_POST
    size_remaining = int(self.headers["content-length"])
ValueError: invalid literal for int() with base 10: 'I am broken'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/socketserver.py", line 
281, in _handle_request_noblock
    self.process_request(request, client_address)
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/socketserver.py", line 
307, in process_request
    self.finish_request(request, client_address)
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/socketserver.py", line 
320, in finish_request
    self.RequestHandlerClass(request, client_address, self)
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/socketserver.py", line 
614, in __init__
    self.handle()
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/http/server.py", line 
352, in handle
    self.handle_one_request()
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/http/server.py", line 
346, in handle_one_request
    method()
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/xmlrpc/server.py", 
line 472, in do_POST
    self.send_header("X-traceback", traceback.format_exc())
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/http/server.py", line 
410, in send_header
    self.wfile.write(("%s: %s\r\n" % (keyword, value)).encode('ASCII', 
'strict'))
UnicodeEncodeError: 'ascii' codec can't encode character '\xe9' in 
position 78: ordinal not in range(128)
test test_xmlrpc failed -- Traceback (most recent call last):
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/test/test_xmlrpc.py", 
line 555, in test_fail_with_info
    p.pow(6,8)
xmlrpc.client.ProtocolError: <ProtocolError for 127.0.0.1:47884/RPC2: 
500 Internal Server Error>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/gaborik/Stiahnuté/Python-3.1.1/Lib/test/test_xmlrpc.py", 
line 562, in test_fail_with_info
    self.assertTrue(e.headers.get("X-traceback") is not None)
AssertionError: False is not True

test_xmlrpc_net
test_xmlrpc_net skipped -- Use of the `network' resource not enabled
test_zipfile
test_zipfile64
test_zipfile64 skipped -- test requires loads of disk-space bytes and a 
long time to run
test_zipimport
test_zipimport_support
test_zlib
310 tests OK.
2 tests failed:
    test_cmd_line test_xmlrpc
23 tests skipped:
    test_codecmaps_cn test_codecmaps_hk test_codecmaps_jp
    test_codecmaps_kr test_codecmaps_tw test_curses test_kqueue
    test_nis test_normalization test_ossaudiodev test_pep277
    test_smtpnet test_socketserver test_startfile test_timeout test_tk
    test_ttk_guionly test_urllib2net test_urllibnet test_winreg
    test_winsound test_xmlrpc_net test_zipfile64
Those skips are all expected on linux2.
msg97042 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-12-30 17:03
It's certainly because python is installed in a directory with non-ascii
characters.
msg97078 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-12-31 07:52
See #7605 for test_cmd_line and #7606 for test_xmlrpc.
msg97309 - (view) Author: Jozef Gáborík (sadhak) Date: 2010-01-06 16:30
Thank you!
msg97310 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-01-06 16:31
Thanks to you for the report :)
History
Date User Action Args
2010-01-06 16:31:47ezio.melottisetmessages: + msg97310
2010-01-06 16:30:32sadhaksetmessages: + msg97309
2009-12-31 07:52:54ezio.melottisetstatus: open -> closed
resolution: duplicate
messages: + msg97078

stage: resolved
2009-12-31 04:13:42ezio.melottisetpriority: normal
nosy: + ezio.melotti
2009-12-30 17:03:30amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg97042
2009-12-30 16:41:23sadhakcreate